'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.mapStateToProps = undefined;
var _jsxFileName = '../../src/App.jsx';

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _semanticUiReact = require('semantic-ui-react');

var _reactRedux = require('react-redux');

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _renderIf = require('render-if');

var _renderIf2 = _interopRequireDefault(_renderIf);

var _RepoList = require('./components/RepoList/RepoList');

var _RepoList2 = _interopRequireDefault(_RepoList);

var _Login = require('./components/Login/Login');

var _Login2 = _interopRequireDefault(_Login);

var _Organizations = require('./components/Organizations/Organizations');

var _Organizations2 = _interopRequireDefault(_Organizations);

var _Dashboard = require('./components/Dashboard/Dashboard');

var _Dashboard2 = _interopRequireDefault(_Dashboard);

require('./App.css');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; } /* eslint-disable import/no-named-as-default */


// import { injectUserName } from './utils/utils';
var App = function (_Component) {
  _inherits(App, _Component);

  function App() {
    _classCallCheck(this, App);

    return _possibleConstructorReturn(this, (App.__proto__ || Object.getPrototypeOf(App)).apply(this, arguments));
  }

  _createClass(App, [{
    key: 'getChildContext',
    value: function getChildContext() {
      return { widgetId: this.props.widgetId };
    }
  }, {
    key: 'render',
    value: function render() {
      var currentPage = this.props.currentPage;

      return _react2.default.createElement(
        _semanticUiReact.Container,
        { className: 'github-widget-container', __source: {
            fileName: _jsxFileName,
            lineNumber: 23
          },
          __self: this
        },
        (0, _renderIf2.default)(currentPage === 'login')(_react2.default.createElement(_Login2.default, {
          __source: {
            fileName: _jsxFileName,
            lineNumber: 24
          },
          __self: this
        })),
        (0, _renderIf2.default)(currentPage === 'orgs')(_react2.default.createElement(_Organizations2.default, {
          __source: {
            fileName: _jsxFileName,
            lineNumber: 25
          },
          __self: this
        })),
        (0, _renderIf2.default)(currentPage === 'repos')(_react2.default.createElement(_RepoList2.default, {
          __source: {
            fileName: _jsxFileName,
            lineNumber: 26
          },
          __self: this
        })),
        (0, _renderIf2.default)(currentPage === 'dashboard')(_react2.default.createElement(_Dashboard2.default, {
          __source: {
            fileName: _jsxFileName,
            lineNumber: 27
          },
          __self: this
        }))
      );
    }
  }]);

  return App;
}(_react.Component);

App.propTypes = {
  currentPage: _propTypes2.default.string.isRequired,
  widgetId: _propTypes2.default.string.isRequired
};

App.defaultProps = {
  currentPage: '',
  widgetId: 'github'
};

App.childContextTypes = {
  widgetId: _propTypes2.default.string
};

var mapStateToProps = exports.mapStateToProps = function mapStateToProps(state, ownProps) {
  var id = ownProps.widgetId;
  var currentPage = state.widgets.byId[id].currentPage.render;

  return {
    currentPage: currentPage
  };
};

exports.default = (0, _reactRedux.connect)(mapStateToProps)(App);