'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var DISPLAY_ORGS = exports.DISPLAY_ORGS = 'DISPLAY_ORGS';
var DISPLAY_LOGIN = exports.DISPLAY_LOGIN = 'DISPLAY_LOGIN';
var DISPLAY_REPOS = exports.DISPLAY_REPOS = 'DISPLAY_REPOS';
var LOGOUT = exports.LOGOUT = 'LOGOUT';
var DISPLAY_DASHBOARD = exports.DISPLAY_DASHBOARD = 'DISPLAY_DASHBOARD';

var displayOrgs = exports.displayOrgs = function displayOrgs(userName) {
  return function (dispatch) {
    dispatch({
      type: DISPLAY_ORGS,
      userName: userName
    });
  };
};

var displayRepos = exports.displayRepos = function displayRepos(selectedOrgName) {
  return function (dispatch) {
    dispatch({
      type: DISPLAY_REPOS,
      selectedOrgName: selectedOrgName
    });
  };
};

var displayDashboard = exports.displayDashboard = function displayDashboard(repoName) {
  return function (dispatch) {
    dispatch({
      type: DISPLAY_DASHBOARD,
      repoName: repoName
    });
  };
};
var logout = exports.logout = function logout() {
  return {
    type: LOGOUT
  };
};