'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.github = undefined;

var _redux = require('redux');

var _orgReducer = require('./orgReducer');

var _orgReducer2 = _interopRequireDefault(_orgReducer);

var _issuesReducer = require('./issuesReducer');

var _issuesReducer2 = _interopRequireDefault(_issuesReducer);

var _prReducer = require('./prReducer');

var _prReducer2 = _interopRequireDefault(_prReducer);

var _milestonesReducer = require('./milestonesReducer');

var _milestonesReducer2 = _interopRequireDefault(_milestonesReducer);

var _repoReducer = require('./repoReducer');

var _repoReducer2 = _interopRequireDefault(_repoReducer);

var _renderReducer = require('./renderReducer');

var _renderReducer2 = _interopRequireDefault(_renderReducer);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var github = exports.github = (0, _redux.combineReducers)({
  issues: _issuesReducer2.default,
  pullRequests: _prReducer2.default,
  milestones: _milestonesReducer2.default,
  repos: _repoReducer2.default,
  orgs: _orgReducer2.default,
  currentPage: _renderReducer2.default
});

var initialState = {
  ids: ['github'],
  byId: {}
};

var widgets = function widgets() {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : initialState;
  var action = arguments[1];
  return Object.assign({}, state, {
    byId: {
      github: github(state.byId.github, action)
    }
  });
};

var rootReducer = (0, _redux.combineReducers)({
  widgets: widgets
});

exports.default = rootReducer;