'use strict';

var _jsxFileName = '../../src/test/dashboard.test.jsx';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _enzymeToJson = require('enzyme-to-json');

var _enzyme = require('enzyme');

var _reduxMockStore = require('redux-mock-store');

var _reduxMockStore2 = _interopRequireDefault(_reduxMockStore);

var _reduxThunk = require('redux-thunk');

var _reduxThunk2 = _interopRequireDefault(_reduxThunk);

var _Dashboard = require('../components/Dashboard/Dashboard');

var _index = require('../reducers/index');

var _index2 = _interopRequireDefault(_index);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var middlewares = [_reduxThunk2.default];
var mockStore = (0, _reduxMockStore2.default)(middlewares);

describe('Should render a Dashboard that holds Connected Components', function () {
  it.only('Should render the Dashboard', function () {
    var store = mockStore({ rootReducer: _index2.default });
    var displayRepos = jest.fn();
    var dashComponent = (0, _enzyme.shallow)(_react2.default.createElement(_Dashboard.Dashboard, { store: store, repoName: 'Some Repo', currentPage: 'dashboard', displayRepos: displayRepos, __source: {
        fileName: _jsxFileName,
        lineNumber: 17
      },
      __self: undefined
    }));
    expect((0, _enzymeToJson.shallowToJson)(dashComponent)).toMatchSnapshot();
  });
});