'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.mapDispatchToProps = exports.Logout = exports.triggerLogout = undefined;
var _jsxFileName = '../../src/components/Logout/Logout.jsx';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _semanticUiReact = require('semantic-ui-react');

var _reactRedux = require('react-redux');

var _redux = require('redux');

var _reactCookies = require('react-cookies');

var _reactCookies2 = _interopRequireDefault(_reactCookies);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

require('./Logout.css');

var _renderActions = require('../../actions/renderActions');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable no-shadow */
var triggerLogout = exports.triggerLogout = function triggerLogout(logout) {
  _reactCookies2.default.remove('githubUserName');
  _reactCookies2.default.remove('githubAccessToken');
  logout();
};

var Logout = exports.Logout = function Logout(_ref) {
  var logout = _ref.logout;
  return (
    /* eslint-enable */
    _react2.default.createElement(
      _semanticUiReact.Grid,
      { verticalAlign: 'top', __source: {
          fileName: _jsxFileName,
          lineNumber: 18
        },
        __self: undefined
      },
      _react2.default.createElement(
        _semanticUiReact.Grid.Row,
        {
          __source: {
            fileName: _jsxFileName,
            lineNumber: 19
          },
          __self: undefined
        },
        _react2.default.createElement(
          _semanticUiReact.Grid.Column,
          { verticalAlign: 'middle', __source: {
              fileName: _jsxFileName,
              lineNumber: 20
            },
            __self: undefined
          },
          _react2.default.createElement(
            _semanticUiReact.Card.Content,
            {
              __source: {
                fileName: _jsxFileName,
                lineNumber: 21
              },
              __self: undefined
            },
            _react2.default.createElement(_semanticUiReact.Button, {
              as: 'a',
              onClick: function onClick() {
                triggerLogout(logout);
              },
              className: 'hand peace icon',
              size: 'medium',
              content: 'Logout',
              icon: 'hand peace',
              __source: {
                fileName: _jsxFileName,
                lineNumber: 22
              },
              __self: undefined
            })
          )
        )
      )
    )
  );
};

Logout.propTypes = {
  /* eslint-disable react/no-unused-prop-types, react/require-default-props */
  logout: _propTypes2.default.func.isRequired
};
var mapDispatchToProps = exports.mapDispatchToProps = function mapDispatchToProps(dispatch) {
  return (0, _redux.bindActionCreators)({
    logout: _renderActions.logout
  }, dispatch);
};

exports.default = (0, _reactRedux.connect)(null, mapDispatchToProps)(Logout);